(import logging)

(setv log (.getLogger logging))

(log.setLevel logging.DEBUG)

(setv formatter (logging.Formatter "%(asctime)s | %(name)s | %(threadName)s | %(levelname)s: %(message)s"))

(setv file_logger (logging.FileHandler "log"))
(setv stream_logger (logging.StreamHandler))

(file_logger.setLevel logging.DEBUG)
(stream_logger.setLevel logging.INFO)

(file_logger.setFormatter formatter)
(stream_logger.setFormatter formatter)

(log.addHandler file_logger) 
(log.addHandler stream_logger)

(log.info "log initialized")
